Bug 1119063 - Review Request: python-service-identity - Service identity verification for pyOpenSSL
Review Request: python-service-identity - Service identity verification for p...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Robert Mayr
Fedora Extras Quality Assurance
:
Depends On: 1119004 1119056
Blocks: 1119067
  Show dependency treegraph
 
Reported: 2014-07-13 12:48 EDT by Tom Prince
Modified: 2015-02-12 21:24 EST (History)
7 users (show)

See Also:
Fixed In Version: python-service-identity-14.0.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-12 21:24:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
robyduck: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom Prince 2014-07-13 12:48:06 EDT
Spec URL: http://data.hybridcluster.net/fedora-scratch/python-service-identity.spec
SRPM URL: http://data.hybridcluster.net/fedora-scratch/python-service-identity-1.0.0-2.fc20.src.rpm
Fedora Account System Username: tomprince
Description:
TL;DR: Use this package if you use pyOpenSSL and don’t want to be MITMed.

service_identity aspires to give you all the tools you need for verifying
whether a certificate is valid for the intended purposes.
Comment 1 Mohammed Arafa 2014-12-31 22:53:25 EST
bug 1177388 is dependent on this package
Comment 2 Robert Mayr 2015-01-05 09:02:20 EST
The spec looks good to me, I will review it and hopefully approve once the dependencies python-idna and python-characteristic (both still in testing) are in stable.
Comment 3 Robert Mayr 2015-01-12 07:35:03 EST
The package is ok, but please package it with the latest version available (14.0.0).


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 18 files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python3
     -service-identity
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-service-identity-1.0.0-2.fc22.noarch.rpm
          python3-service-identity-1.0.0-2.fc22.noarch.rpm
          python-service-identity-1.0.0-2.fc22.src.rpm
python3-service-identity.noarch: W: spelling-error %description -l en_US pyOpenSSL -> openness
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@localhost /]# rpmlint python-service-identity python3-service-identity
python3-service-identity.noarch: W: spelling-error %description -l en_US pyOpenSSL -> openness
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
]0;<mock-chroot><mock-chroot>[root@localhost /]# echo 'rpmlint-done:'



Requires
--------
python-service-identity (rpmlib, GLIBC filtered):
    pyOpenSSL
    python(abi)
    python-characteristic
    python-idna
    python-pyasn1
    python-pyasn1-modules

python3-service-identity (rpmlib, GLIBC filtered):
    python(abi)
    python3-characteristic
    python3-idna
    python3-pyOpenSSL
    python3-pyasn1
    python3-pyasn1-modules
    python3-six



Provides
--------
python-service-identity:
    python-service-identity

python3-service-identity:
    python3-service-identity



Source checksums
----------------
https://pypi.python.org/packages/source/s/service_identity/service_identity-1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 679e39fc35bc189b7424d9cd5545f755b2e127c478e1927c9029473f0fbe3bce
  CHECKSUM(SHA256) upstream package : 679e39fc35bc189b7424d9cd5545f755b2e127c478e1927c9029473f0fbe3bce


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1119063 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 4 Robert Mayr 2015-01-21 17:28:56 EST
Hi, are you still interested in packaging this? There are some other packages depending on it and they can't be fixed without it.
Please update the package to the last upstream version ASAP, if not I'll close the bug according to the guidelines.
Thank you.
Comment 5 Robert Mayr 2015-01-22 18:23:55 EST
I've rebuilt the package with your SPEC to the last version, here the links and a successful koji build. Looks good to me.

Spec URL: https://robyduck.fedorapeople.org/packages/SPECS/python-service-identity.spec
SRPM URL: https://robyduck.fedorapeople.org/packages/SRPMS/python-service-identity-14.0.0-1.fc21.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=8703767

Any doubts from your side?
Comment 6 Tom Prince 2015-01-24 00:26:53 EST
> Any doubts from your side?

No. That looks sane.
Comment 7 Robert Mayr 2015-01-24 05:42:01 EST
Nice, then please go ahead. Approved!

I guess you can drop FE-NEEDSPONSOR, as you're already a packager.
Thank you.
Comment 8 Tom Prince 2015-01-24 09:15:01 EST
New Package SCM Request
=======================
Package Name: python-service-identity
Short Description: Service identity verification for pyOpenSSL
Upstream URL: https://github.com/pyca/service_identity
Owners: tomprince
Branches: f21 epel7
InitialCC:
Comment 9 Jon Ciesla 2015-01-25 16:34:43 EST
Git done (by process-git-requests).
Comment 10 Matěj Cepl 2015-01-29 15:25:08 EST
Should be ASSIGNED to nobody jumps on it (like me).
Comment 11 Fedora Update System 2015-01-30 04:21:44 EST
python-service-identity-14.0.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-service-identity-14.0.0-1.fc21
Comment 12 Fedora Update System 2015-01-30 18:55:58 EST
python-service-identity-14.0.0-1.fc21 has been pushed to the Fedora 21 testing repository.
Comment 13 Fedora Update System 2015-02-12 21:24:00 EST
python-service-identity-14.0.0-1.fc21 has been pushed to the Fedora 21 stable repository.

Note You need to log in before you can comment on or make changes to this bug.